Kerbal Space Program - Bug #9496

Fuel resource usage doesn't account for "prop requirement

04/26/2016 02:03 AM - bewing

Status: Closed Start date: 04/26/2016
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.2.0

Version: 1.1.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

When "Prop. Requirement Met" is not 100%, then the main Fuel Resource usage number does not match the fuel usage of the

engine.

The first image shows fuel usage on a plane with a small intake, that is not providing enough air. Prop requirement is about 80%, and
the Fuel usage number (0.15 - taking rounding into account) is about 20% higher than the engine is showing for usage (.11868).
The second shows a similar plane under similar conditions with a large air intake and 100% Prop Requirement Met -- and the two

numbers match (within rounding).

The savegame (career mode) is the plane that demonstrates the problem. There are many points in its high-speed/high-altitude flight

envelope where Prop Requirement met drops below 100%.

| think the bug may actually cause your fuel to drain faster than it should.

History

#1 - 07/17/2016 09:47 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 07/22/2016 02:30 AM - bewing

- File 113 _prop_bug.sfs added

- File KSP.log added

- File output_log.txt added

- File screenshot22.png added

- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

Updated files for 1.1.3.

#3 - 08/13/2016 12:12 AM - TriggerAu
- Status changed from Updated to Confirmed

#5 - 08/13/2016 06:15 PM - Alchemist

It's actually even messier - it requests both resources, and even when one is insufficient, it actually drains the second resource at full rate. The actual

thrust is calculated based on total mass of resources consumed without accounting for the imbalance.

| documented a bit more on such behavior here: http://bugs.kerbalspaceprogram.com/issues/5132#note-9

#6 - 10/14/2016 01:16 AM - Squelch
- Status changed from Confirmed to Ready to Test
- Target version set to 1.2.0

- % Done changed from 10 to 80

This has been addressed and should be fixed in KSP 1.2
http://bugs.kerbalspaceprogram.com/issues/5132#note-9

#7 - 11/18/2016 08:13 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Closing. No response.
